Skip to content

[GET] Get Batch⚓︎

Use this request to get information about a specific Batch, including the number of Tasks assigned to it.

Batch⚓︎

GET/api/v1.0/external/sdbatch?batchId=1

Query Parameters⚓︎

NameTypeDescription
batchIdintegerThe ID that identifies the batch to retrieve data on. This ID is always unique and never changes after it has been created.

Example Request⚓︎

curl --location 'https://cloud.smartdocumentor.net/api/v1.0/external/sdbatch?batchId=1' \
--header 'Authorization: Bearer null' \
--header 'Content-Type: application/json' \
--data ''
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://cloud.smartdocumentor.net/api/v1.0/external/sdbatch?batchId=1");
request.Headers.Add("Authorization", "Bearer null");

var content = new StringContent("", null, "application/json");
request.Content = content;

var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();

Console.WriteLine(await response.Content.ReadAsStringAsync());
import requests
import json

url = "https://cloud.smartdocumentor.net/api/v1.0/external/sdbatch?batchId=1"

payload = ""
headers = {
  'Authorization': 'Bearer null',
  'Content-Type': 'application/json'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
var myHeaders = new Headers();
myHeaders.append("Authorization", "Bearer null");
myHeaders.append("Content-Type", "application/json");

var raw = "";

var requestOptions = {
  method: 'GET',
  headers: myHeaders,
  body: raw,
  redirect: 'follow'
};

fetch("https://cloud.smartdocumentor.net/api/v1.0/external/sdbatch?batchId=1", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));

Responses⚓︎

{
  "batchId": 1,
  "workspaceId": 1,
  "displayName": "YourBatchName",
  "description": "AnOptionalDescriptionForYourBatch",
  "createdOn": "2023-08-08T08:55:29.7831583Z",
  "totalTasks": 0,
  "totalTasksInHistory": 0
}

Response Body GetBatchResponse

See GetBatchResponse.

totalTasks returns the count of Tasks associated with this batch. This counter will increase as tasks are added to the Batch.

Response body has no content.

Info

Note Returned when no Batch was found with the specified batchId.

Response body has no content.

Info

Note Returned when a batchId is not specified.